precision mediump float;

attribute vec4 position;
attribute vec2 texcoord;
attribute vec3 joints;
attribute vec3 weights;

varying vec2 texcoordVarying;

uniform mat4 modelviewProjectionMatrix;
uniform mat4 boneMatrix[18];

void main() {
	vec4 temp_position = position;

	int temp_joints[3];
	temp_joints[0] = int(joints.x);
	temp_joints[1] = int(joints.y);
	temp_joints[2] = int(joints.z);

	float temp_weights[3];
	temp_weights[0] = weights.x;
	temp_weights[1] = weights.y;
	temp_weights[2] = weights.z;

	for(int i=0; i<3; i++)
	{
		if(temp_weights[i] > 0.0) 
		{
			temp_position += boneMatrix[temp_joints[0]] * temp_position * temp_weights[i];
		}
	}

	gl_Position = modelviewProjectionMatrix * temp_position;
	texcoordVarying = texcoord;
}
